# -*- coding: utf-8 -*-

import logging

from django.conf import settings
from django.http import HttpResponseRedirect
from django.contrib.auth import login as django_login
from django.contrib.auth import logout as django_logout
from django.contrib.auth.views import login as django_loginview
from django.contrib.auth.views import logout as django_logoutview

logger = logging.getLogger(__name__)




def login(request):
    '''
    Small wrapper around the django login view
    '''
    out = django_loginview(request, template_name='users/login.html')
    #out = django_loginview(request, kwargs={'template_name': 'users/login.html'})
    if request.user.is_authenticated():
        logger.info('User {} logged in successfully'.format(request.user.username))
        
    return out


def logout(request):
    logger.info('User {} logged out successfully'.format(request.user.username))
    django_logoutview(request)

    # TODO: this is a workaround till we upgrade to django 1.11
    if settings.LOGOUT_REDIRECT_URL:
        return HttpResponseRedirect(settings.LOGOUT_REDIRECT_URL)
    else:
        return HttpResponseRedirect('/')
