def encode_row(row):
    """
    Encodes Row for CSV export
    :param row: Row from DB Result
    :return:
    """
    return [encode_element(e) for e in row]

def encode_element(e):
    """
    Encodes unicode in UTF8
    :param e: element from DB Result
    :return: UTF8 encoded string or string representation of data for CSVWriter
    """
    if isinstance(e, unicode):
        return e.encode("utf-8")
    return str(e)

class Pseudobuffer(object):
    """
    Bridge object for CSV Writer to plug CSVWriter to StreamingHTTPResponse
    """
    def write(self, value):
        """Write the value by returning it, instead of storing in a buffer."""
        return value